package ru.dbotthepony.kstarbound.server.world

import ru.dbotthepony.kommons.arrays.Object2DArray
import ru.dbotthepony.kommons.io.ByteKey
import ru.dbotthepony.kommons.util.KOptional
import ru.dbotthepony.kstarbound.world.ChunkPos
import ru.dbotthepony.kstarbound.world.ChunkState
import ru.dbotthepony.kstarbound.world.api.AbstractCell
import ru.dbotthepony.kstarbound.world.entities.AbstractEntity
import java.io.Closeable
import java.util.concurrent.CompletableFuture

class NativeWorldStorage() : WorldStorage() {
	override fun loadCells(pos: ChunkPos): CompletableFuture<ChunkCells?> {
		TODO("Not yet implemented")
	}

	override fun loadEntities(pos: ChunkPos): CompletableFuture<Collection<AbstractEntity>> {
		TODO("Not yet implemented")
	}

	override fun loadMetadata(): CompletableFuture<Metadata?> {
		TODO("Not yet implemented")
	}

	override fun saveEntities(pos: ChunkPos, entities: Collection<AbstractEntity>) {
		TODO("Not yet implemented")
	}

	override fun saveCells(pos: ChunkPos, data: ChunkCells) {
		TODO("Not yet implemented")
	}

	override fun saveMetadata(data: Metadata) {
		TODO("Not yet implemented")
	}

	override fun findUniqueEntity(identifier: String): CompletableFuture<UniqueEntitySearchResult?> {
		TODO("Not yet implemented")
	}

	override fun close() {

	}
}
